Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.accesstracking
Class FrameHistory

    java.lang.Object
      scone.accesstracking.FrameHistory

    public class FrameHistory

extends java.lang.Object

Keeps the history of one Window/Frame of a Web-browser to amalyse the movements of the user.

Version:
  1.0b, 11/02/2001
Author:
  Torsten Hass

Constructor Summary
`FrameHistory()`

Method Summary
`void` | `add(java.lang.String megTime, Access a)` Removes history entries behind actual position and adds the new Access object to history list.
`void` | `add(java.lang.String megTime, FrameSet frameSet)` Removes history entries behind actual position and adds the new FrameSet object to history list.
`boolean` | `contains(java.lang.String megTime)` checks if the megTime is in this FrameHistory
`boolean` | `containsPageLike(Access a)` Checks if the given Access object matches one in the FrameHistory in following fields: userId, nodeId, frameName, fragment, query If there a FrameSets in this FrameHistory, FrameSet.containsPageLike is invoked in the FrameSet and subframesets
`void` | `delPrevEntry()` Delete the previous FrameHistory entry.
`int` | `getDistance(java.lang.String megTime)` Get distance of position and Access object a in history
`int` | `getDistanceOfPageLike(Access a)` Get distance of position and matching Access Object a in the FrameHistory.
`int` | `getLastAction()` Get lastAction
`java.lang.Object` | `getLastEntry()` Get last accessed entry of FrameHistory
`Access` | `getLastEvent(java.lang.String frameName)` Get last access event
`int` | `getPosition()` Get position in history
`java.lang.Object` | `getPrevEntry()` Get previous accessed entry of FrameHistory (That one accessed before the last accessed one)
`void` | `insert(java.lang.String megTime, FrameSet frameSet)` Inserts the new FrameSet object without removing all history entries behind actual position and increases the position pointer.
`void` | `replaceLastEvent(java.lang.String megTime, Access a)` Replace last megTime and access event
`void` | `replaceLastEvent(java.lang.String frameName, java.lang.String megTime, Access a)` Replace last megTime and access event.
`void` | `setLastAction(int lastAction)` Set lastAction
`void` | `setPosition(int position)` Set position in history
`void` | `setPositionTo(java.lang.String megTime)` Set position to Access object a in history
`void` | `showFrameContents()` Show the contents of the FrameHistory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameHistory

    public FrameHistory()

Method Detail

### add

    public void add(java.lang.String megTime,
                    Access a)

  Removes history entries behind actual position and adds the new Access object to history list.

  Parameters:
    `megTime` - The time when the JavaScriptCode was generated
    `a` - The Access object to add to list

### add

    public void add(java.lang.String megTime,
                    FrameSet frameSet)

  Removes history entries behind actual position and adds the new FrameSet object to history list.

  Parameters:
    `megTime` - The time when the JavaScriptCode was generated
    `frameSet` - The FrameSet object to add to list

### insert

    public void insert(java.lang.String megTime,
                       FrameSet frameSet)

  Inserts the new FrameSet object without removing all history entries behind actual position and increases the position pointer.

  Parameters:
    `megTime` - The time when the JavaScriptCode was generated
    `frameSet` - The FrameSet object to insert into FrameHistory

### contains

    public boolean contains(java.lang.String megTime)

  checks if the megTime is in this FrameHistory

  Parameters:
    `megTime` - The megTime as a sting
  Returns:
    True if the list contains megTime

### containsPageLike

    public boolean containsPageLike(Access a)

  Checks if the given Access object matches one in the FrameHistory in following fields:
  userId, nodeId, frameName, fragment, query
  If there a FrameSets in this FrameHistory, FrameSet.containsPageLike is invoked in the FrameSet and subframesets

  Parameters:
    `a` - The Access object
  Returns:
    `true` if "a" matches one in the FrameHistory

### getLastAction

    public int getLastAction()

  Get lastAction

  Returns:
    bit Array that holds reason for last new page

### setLastAction

    public void setLastAction(int lastAction)

  Set lastAction

  Parameters:
    `lastAction` - Bit array that holds reason for last page change

### getPosition

    public int getPosition()

  Get position in history

  Returns:
    position in history

### setPosition

    public void setPosition(int position)

  Set position in history

  Parameters:
    `position` - Position in history

### getLastEvent

    public Access getLastEvent(java.lang.String frameName)

  Get last access event

  Returns:
    Access event

### getLastEntry

    public java.lang.Object getLastEntry()

  Get last accessed entry of FrameHistory

  Returns:
    Access or FrameSet object

### getPrevEntry

    public java.lang.Object getPrevEntry()

  Get previous accessed entry of FrameHistory (That one accessed before the last accessed one)

  Returns:
    Access or FrameSet object

### replaceLastEvent

    public void replaceLastEvent(java.lang.String megTime,
                                 Access a)

  Replace last megTime and access event

  Parameters:
    `megTime` -
    `a` -

### delPrevEntry

    public void delPrevEntry()

  Delete the previous FrameHistory entry.

### replaceLastEvent

    public void replaceLastEvent(java.lang.String frameName,
                                 java.lang.String megTime,
                                 Access a)

  Replace last megTime and access event. This method has an extra parameter frameName to identify the Access object, that has to be replaced

  Parameters:
    `frameName` - Identifies the frame
    `megTime` -
    `a` - The Access Event

### getDistance

    public int getDistance(java.lang.String megTime)

  Get distance of position and Access object a in history

  Parameters:
    `megTime` -
  Returns:
    distance of position and a in history

### getDistanceOfPageLike

    public int getDistanceOfPageLike(Access a)

  Get distance of position and matching Access Object a in the FrameHistory.

  Parameters:
    `a` - The Access object
  Returns:
    The distance of position and a in history

### showFrameContents

    public void showFrameContents()

  Show the contents of the FrameHistory.

### setPositionTo

    public void setPositionTo(java.lang.String megTime)

  Set position to Access object a in history

  Parameters:
    `megTime` - Access object to set position to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD